Skip to main content
POST
/
subaccounts
Create a collection subaccount
curl --request POST \
  --url https://api.flutterwave.com/v3/subaccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_bank": "044",
  "account_number": "0690000034",
  "business_name": "Example Business",
  "business_email": "user@gmail.com",
  "business_contact": "Example User",
  "business_contact_mobile": "09080000000",
  "business_mobile": "08100000000",
  "country": "NG",
  "split_type": "flat",
  "split_value": "1000"
}
'
{
  "status": "success",
  "message": "Subaccount created",
  "data": {
    "id": 2181,
    "account_number": "0690000037",
    "account_bank": "044",
    "full_name": "Ibra Mili",
    "created_at": "2020-01-20T06:47:56.000Z",
    "meta": [
      {
        "meta_name": "mem_adr",
        "meta_value": "0x16241F327213"
      }
    ],
    "split_type": "percentage",
    "split_value": 0.5,
    "subaccount_id": "RS_9BD2ACE480785E759A16FDE1874A6657",
    "bank_name": "ACCESS BANK NIGERIA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_bank
string
required
account_number
string
required
business_name
string
required
business_email
string
required
business_contact
string
required
business_contact_mobile
string
required
business_mobile
string
required
country
string
required
split_type
string
required
split_value
string
required

Response

OK

status
string
required
message
string
required
data
Data51 · object
required
Example:
{
  "id": 2181,
  "account_number": "0690000037",
  "account_bank": "044",
  "full_name": "Ibra Mili",
  "created_at": "2020-01-20T06:47:56.000Z",
  "meta": [
    {
      "meta_name": "mem_adr",
      "meta_value": "0x16241F327213"
    }
  ],
  "split_type": "percentage",
  "split_value": 0.5,
  "subaccount_id": "RS_9BD2ACE480785E759A16FDE1874A6657",
  "bank_name": "ACCESS BANK NIGERIA"
}